Altibase.jdbc.driver.cm

## Class CmSocket

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmSocket

Direct Known Subclasses:
  CmRdmaSocket

    public abstract class CmSocket
    extends java.lang.Object

### Field Summary

Fields
`static int` `INVALID_SOCKTFD`
`protected java.lang.String` `mBindAddr`
`protected int` `mLoginTimeout`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `read(java.nio.ByteBuffer aBuffer)`
`abstract int` `write(java.nio.ByteBuffer aBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INVALID_SOCKTFD

    public static final int INVALID_SOCKTFD

See Also:
  Constant Field Values

#### mBindAddr

    protected java.lang.String mBindAddr

#### mLoginTimeout

    protected int mLoginTimeout

### Method Detail

#### read

    public abstract int read(java.nio.ByteBuffer aBuffer)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    public abstract int write(java.nio.ByteBuffer aBuffer)
                       throws java.io.IOException

Throws:
  `java.io.IOException`